org.apache.fontbox.ttf.table.gsub

## Class LookupTypeMultipleSubstitutionFormat1

- java.lang.Object
- - org.apache.fontbox.ttf.table.common.LookupSubTable
  - - org.apache.fontbox.ttf.table.gsub.LookupTypeMultipleSubstitutionFormat1

    public class LookupTypeMultipleSubstitutionFormat1
    extends LookupSubTable

Author:
  Tilman Hausherr

### Constructor Summary

Constructors
Constructor and Description
`LookupTypeMultipleSubstitutionFormat1(int substFormat, CoverageTable coverageTable, SequenceTable[] sequenceTables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doSubstitution(int gid, int coverageIndex)`
`SequenceTable[]` `getSequenceTables()`

### Methods inherited from class org.apache.fontbox.ttf.table.common.LookupSubTable

`getCoverageTable, getSubstFormat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LookupTypeMultipleSubstitutionFormat1

    public LookupTypeMultipleSubstitutionFormat1(int substFormat,
                                                 CoverageTable coverageTable,
                                                 SequenceTable[] sequenceTables)

### Method Detail

#### getSequenceTables

    public SequenceTable[] getSequenceTables()

#### doSubstitution

    public int doSubstitution(int gid,
                              int coverageIndex)

Specified by:
  `doSubstitution` in class `LookupSubTable`